> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Product Store Stats

> API to fetch the total number of products, included in the store, and excluded from the store and other stats



## OpenAPI

````yaml /api-reference/products/openapi.json get /products/store/{storeId}/stats
openapi: 3.0.0
info:
  title: Products API
  description: Documentation for products API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Products
    description: Documentation for products API
  - name: Prices
    description: Documentation for products API
  - name: Store
    description: Documentation for products API
  - name: Collections
    description: Documentation for products API
  - name: Reviews
    description: Documentation for products API
paths:
  /products/store/{storeId}/stats:
    get:
      tags:
        - Store
      summary: Fetch Product Store Stats
      description: >-
        API to fetch the total number of products, included in the store, and
        excluded from the store and other stats
      operationId: get-product-store-stats
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: storeId
          required: true
          in: path
          description: Products related to the store
          schema:
            example: 3SwdhCu3svxI8AKsPJt6
            type: string
        - name: altId
          required: true
          in: query
          description: Location Id or Agency Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: altType
          required: true
          in: query
          schema:
            type: string
            enum:
              - location
        - name: search
          required: false
          in: query
          description: The name of the product for searching.
          schema:
            example: Awesome product
            type: string
        - name: collectionIds
          required: false
          in: query
          description: Filter by product collection Ids. Supports comma separated values
          schema:
            example: 65c2789a812e52f9bd6ec577,65c2789a812e52de9a6ec576
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProductStatsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - products.readonly
components:
  schemas:
    GetProductStatsResponseDto:
      type: object
      properties:
        totalProducts:
          type: number
          description: Total number of products
          example: 100
        includedInStore:
          type: number
          description: Number of products included in the store
          example: 80
        excludedFromStore:
          type: number
          description: Number of products excluded from the store
          example: 20
      required:
        - totalProducts
        - includedInStore
        - excludedFromStore
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````